=== debian/changelog ===
rhash (1.2.8-3) unstable; urgency=low

  * fixed loading of the RHash python module (Closes: 652302)
  * fixed librhash-java compilation on Ubuntu (Closes: 654180)
  * updated debian/copyright

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Wed, 18 Jan 2012 22:51:54 +0700

rhash (1.2.8-2) unstable; urgency=low

  * Compilation fix for several Debian architectures
  - fixed librhash-java compilation with gcj (Closes: 644599)
  - control: added python-rhash dependency on librhash0

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Sun, 09 Oct 2011 13:57:47 +0700

rhash (1.2.8-1) unstable; urgency=low

  * New upstream release version 1.2.8
   - language bindings for Java, Perl, Python, Ruby
   - Russian translation
   - fixed recommended libssl1.0.0 dependency
   - patched broken re-compilation
   - fixed a mistype in perl documentation
   - control: updated Vcs-Git field
   - copyright: corrected Format field, added Upstream-Contact
   - copyright: updated Copyright field, mentioned another developer

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Wed, 14 Sep 2011 23:50:14 +0700

rhash (1.2.7-1) unstable; urgency=medium

  * New upstream release version 1.2.7
   - Fixes security issue (Closes: #632280)
   - changed author/mantainer name to the way I prefer s/Alexey S/Aleksey/
   - simplified desriptions of binary packages
   - wriiten rules in more now standard way, using CFLAGS/LDFLAGS
   - reworded README.Debian a bit
   - aplied patch from upstream to fix possible segfault
   - aplied patch from upstream to fix glibc runtime warning
   - aplied patch from upstream to repair -openssl option handling

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Sun, 14 Aug 2011 20:35:00 +0700
