=== debian/control ===
Source: rhash
Section: utils
Priority: optional
Maintainer: Aleksey Kravchenko <rhash.admin@gmail.com>
Build-Depends: debhelper (>= 8), libssl-dev (>= 1.0.0), default-jdk, perl, python (>= 2.6.6-3~), ruby, ruby1.8-dev, chrpath
Build-Depends-Indep: default-jdk-doc
Standards-Version: 3.9.2
Homepage: http://rhash.sourceforge.net/
Vcs-Git: git://github.com/rhash/RHash.git
Vcs-Browser: https://github.com/rhash/RHash

Package: rhash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libssl1.0.0 (>= 1.0.0)
Description: utility for computing hash sums and magnet links
 RHash is a console utility for calculation and verification of magnet links
 and a wide range of hash sums like CRC32, MD4, MD5, SHA1, SHA256, SHA512,
 AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94, RIPEMD-160,
 HAS-160, EDON-R, Whirlpool and Snefru.
 Hash sums are used to ensure and verify integrity of large volumes of data
 for a long-term storing or transferring.
 .
 Features:
  * Output in a predefined (SFV, BSD-like) or a user-defined format.
  * Can calculate Magnet links and EDonkey 2000 links.
  * Updating hash files (adding hash sums of files missing in the hash file).
  * Ability to process directories recursively.
  * Portability: the program works the same on Linux, *BSD or Windows.

Package: librhash0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libssl1.0.0 (>= 1.0.0)
Description: shared library for hash functions computing
 LibRHash is a professional, portable, thread-safe C library for computing
 a wide variety of hash sums, such as CRC32, MD4, MD5, SHA1, SHA256, SHA512,
 AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94, RIPEMD-160,
 HAS-160, EDON-R, Whirlpool and Snefru.
 Hash sums are used to ensure and verify integrity of large volumes of data
 for a long-term storing or transferring.
 .
 Features:
  * Small and easy to learn interface.
  * Hi-level and Low-level API.
  * Allows calculating of several hash functions simultaneously.
  * Portability: the library works on Linux, *BSD and Windows.

Package: librhash-dev
Architecture: any
Section: libdevel
Depends: librhash0 (= ${binary:Version}), ${misc:Depends}
Description: header files of librhash and static library
 LibRHash is a professional, portable, thread-safe C library for computing
 a wide variety of hash sums, such as CRC32, MD4, MD5, SHA1, SHA256, SHA512,
 AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94, RIPEMD-160,
 HAS-160, EDON-R, Whirlpool and Snefru.
 .
 This package contains LibRHash static library and header files.

Package: librhash0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: librhash0 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librhash
 LibRHash is a professional, portable, thread-safe C library for computing 
 a wide variety of hash sums, such as CRC32, MD4, MD5, SHA1/SHA2, AICH,
 ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94, RIPEMD-160,
 HAS-160, EDON-R, Whirlpool and Snefru.
 .
 This package contains debug information for the librhash shared library.


Package: python-rhash
Section: python
Architecture: all
Depends: librhash0 (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
X-Python-Version: >= 2.6
Description: Python interface for LibRHash hash sums calculation library
 LibRHash is a professional, portable, thread-safe C library for computing
 a wide variety of hash sums, such as CRC32, MD4, MD5, SHA1, SHA256, SHA512,
 AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94, RIPEMD-160,
 HAS-160, EDON-R, Whirlpool and Snefru.
 .
 This package contains the files needed to use the RHash library
 in Python programs.

Package: librhash-java
Section: java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java interface for LibRHash hash sums calculation library
 LibRHash is a professional, portable, thread-safe C library for computing
 a wide variety of hash sums, such as CRC32, MD4, MD5, SHA1, SHA256, SHA512,
 AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94, RIPEMD-160,
 HAS-160, EDON-R, Whirlpool and Snefru.
 .
 This package contains the files needed to use the RHash library
 in Java programs.

Package: librhash-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jdk-doc
Description: documentation for librhash Java bindings
 LibRHash is a professional, portable, thread-safe C library for computing
 a wide variety of hash sums, such as CRC32, MD4, MD5, SHA1, SHA256, SHA512,
 AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94, RIPEMD-160,
 HAS-160, EDON-R, Whirlpool and Snefru.
 .
 This package contains documentation for Java interface of the RHash library.

Package: librhash-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Perl interface for LibRHash hash sums calculation library
 LibRHash is a professional, portable, thread-safe C library for computing
 a wide variety of hash sums, such as CRC32, MD4, MD5, SHA1, SHA256, SHA512,
 AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94, RIPEMD-160,
 HAS-160, EDON-R, Whirlpool and Snefru.
 .
 This package contains the files needed to use the RHash library
 in Perl programs.

Package: librhash-ruby
Section: ruby
Architecture: all
Depends: librhash-ruby1.8 (>= ${source:Version}), ${misc:Depends}
Description: Ruby interface for LibRHash hash sums calculation library
 LibRHash is a professional, portable, thread-safe C library for computing
 a wide variety of hash sums, such as CRC32, MD4, MD5, SHA1, SHA256, SHA512,
 AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94, RIPEMD-160,
 HAS-160, EDON-R, Whirlpool and Snefru.
 .
 This is dependency package which depends on Debian's default Ruby version. 

Package: librhash-ruby1.8
Section: ruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ruby 1.8 interface for LibRHash hash sums calculation library
 LibRHash is a professional, portable, thread-safe C library for computing
 a wide variety of hash sums, such as CRC32, MD4, MD5, SHA1, SHA256, SHA512,
 AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94, RIPEMD-160,
 HAS-160, EDON-R, Whirlpool and Snefru.
 .
 This package contains the files needed to use the RHash library
 in Ruby programs.
